# Synapse: https://github.com/element-hq/synapse
# Matrix guide: https://element-hq.github.io/synapse/latest/setup/installation.html#installation-instructions
# Docker Image: https://hub.docker.com/r/avhost/docker-matrix
# Example: https://github.com/AVENTER-UG/docker-matrix/blob/master/Example.configs.md

# # generate
# version: "3"
# services:
#     docker-matrix:
#         container_name: 'matrix'
#         volumes:
#             - /app/matrix/media:/media_store
#             - /app/matrix/data:/data
#         user: 0:0 # need perms to write files?
#         environment:
#             - SERVER_NAME=wompmacho.com
#             - REPORT_STATS=no
#         image: avhost/docker-matrix:v1.133
#         command: generate
# start
version: "3"
services:
    docker-matrix:
        container_name: "matrix"
        user: 991:991
        ports:
            - 8448:8448
            - 8008:8008
            - 3478:3478
        volumes:
            - /app/matrix/media:/media_store
            - /app/matrix/data:/data
        image: avhost/docker-matrix:v1.133
        command: start
